﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http.WebHost;
using System.Web.Routing;
using System.Web.SessionState;

namespace WebApplication1
{
    public class SessionStateHttpControllerHandler : HttpControllerHandler, IRequiresSessionState
    {
        public SessionStateHttpControllerHandler(RouteData routeData)
            : base(routeData)
        {

        }
    }

    public class SessionStateHttpControllerRouteHandler : HttpControllerRouteHandler
    {
        protected override IHttpHandler GetHttpHandler(RequestContext requestContext)
        {
            return new SessionStateHttpControllerHandler(requestContext.RouteData);
        }
    }
}